# herb_globals.py = global constants for Herbrip
#
##########################################################
# Copyright (c) 2001 Philip Hunt. See COPYING for details
# of licensing information.
##########################################################

# Last altered: 10-Aug-2001
# History:
# 10-Jun-2001 PH: created
# 12-Jun-2001 PH: renamed to herb_globals.py
# 10-Aug-2001 PH: altered for herbrip-0.2.0

#---------------------------------------------------------------------

# version numbers:
HERBRIP_VERSION = "0.2.0"
HERBIVORE_VERSION = "0.3"

# default values of directories and files used by herbrip:
DEFAULT_HERB_DIR = ".herbivore"
DEFAULT_SECRET_FN = "secret_keys"
DEFAULT_PUBLIC_FN = "public_keys"

# delimiters in Herbivore-encrypted messages:
BEGIN_HERBIVORE = "----- BEGIN HERBIVORE ENCRYPTED -----"
HERBIVORE_SEP = "-----"
END_HERBIVORE = "----- END HERBIVORE ENCRYPTED -----"

# names of herbivore mail headers:
X_HV = "X-Herbivore"
X_HV_VERSION = "X-Herbivore-Version"
X_HV_KEY = "X-Herbivore-Key"

# values for the X_HV mail header:
X_HV_ENCRYPTED = "enc"
X_HV_PLAINTEXT = "plain"

#---------------------------------------------------------------------


#end herb_globals.py
